Package org.apache.sling.caconfig.spi

## Class ConfigurationPersistenceAccessDeniedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.caconfig.spi.ConfigurationPersistenceException
        - - org.apache.sling.caconfig.spi.ConfigurationPersistenceAccessDeniedException

All Implemented Interfaces:
  `Serializable`

    @ProviderType
    public final class ConfigurationPersistenceAccessDeniedException
    extends ConfigurationPersistenceException

Is thrown when configuration cannot be persisted because the user is not allowed to write to repository.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConfigurationPersistenceAccessDeniedException​(String message)`
`ConfigurationPersistenceAccessDeniedException​(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationPersistenceAccessDeniedException

    public ConfigurationPersistenceAccessDeniedException​(String message,
                                                         Throwable cause)

#### ConfigurationPersistenceAccessDeniedException

    public ConfigurationPersistenceAccessDeniedException​(String message)